#
#	Copyright (c) 1989-1992 Citadel Software, Inc.
#	All Rights Reserved
#

# unix.mak	1.7 - 93/01/01

# xtend library makefile

AR	= ar#		# library archiver
CC	= cc#		# C compiler
CFLAGS	= -O#		# C compiler options
INCDIR	= /usr/include#	# include directory
LIB	= blkio#	# library name
LIBDIR	= /usr/lib#	# library directory
LLIBDIR	= /usr/lib#	# lint library directory
LINT	= lint -b -p -o $(LIB)
MAN	= $(LIB).man#	# manual file

FILES =	makefile   xtend.h					\
	errlog.c   xalloc.c   xstring.c
MANS =	xtend.h							\
	errlog.c   xalloc.c   xstring.c
SRCS =	errlog.c   xalloc.c   xstring.c
OBJS =	$(SRCS:.c=.o)
MODS =	$(LIB)(errlog.o)   $(LIB)(xalloc.o)   $(LIB)(xstring.o)

all:	$(LIB) man install

$(LIB):	$(MODS)
	@echo $(LIB) up-to-date.

$(MODS):	blkio.h blkio_.h

install:
	@if test -s $(INCDIR)/blkio.h = 0;			\
	then							\
		echo $(INCDIR)/blkio.h exists\.;		\
		echo -n "Do you wish to copy over it? ";	\
		read response;					\
		case $$response in				\
		y | Y | yes | YES | Yes)	;;		\
		*) exit 1			;;		\
		esac						\
	fi;							\
	cp blkio.h $(INCDIR)
	@if test -s $(LIBDIR)/lib$(LIB).a = 0;			\
	then							\
		echo $(LIBDIR)/lib$(LIB).a exists\.;		\
		echo -n "Do you wish to copy over it? ";	\
		read response;					\
		case $$response in				\
		y | Y | yes | YES | Yes)	;;		\
		*) exit 1			;;		\
		esac						\
	fi;							\
	cp $(LIB) $(LIBDIR)/lib$(LIB).a
	@echo $(LIB) installed.

lint:
	$(LINT) $(SRCS)
	mv llib-l$(LIB).ln $(LLIBDIR)

man:	$(MAN)

$(MAN):	$(MANS)
	cat $(MANS) | manx > $@

clean:
	rm $(LIB)
	rm *.o
	rm *.man

# eof
